Package com.io7m.cardant.parsers

# Class CATypeMatchExpressions

java.lang.Object
com.io7m.cardant.parsers.CAExpressions
com.io7m.cardant.parsers.CATypeMatchExpressions

public final class CATypeMatchExpressions extends CAExpressions
Expression parsers for type match expressions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CATypeMatchExpressions(CAStrings inStrings)`
  Expression parsers for type match expressions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Map<CAStringConstantType,CAStringConstantType>`
  `syntax()`
  `CATypeMatch`
  `typeMatch(com.io7m.jsx.SExpressionType e)`
  Parse a match expression for types.
  `CATypeMatch`
  `typeMatch(String text)`
  Parse a match expression for types.
  `com.io7m.jsx.SExpressionType`
  `typeMatchSerialize(CAComparisonSetType<com.io7m.lanark.core.RDottedName> expression)`
  Serialize a match expression.
  `String`
  `typeMatchSerializeToString(CATypeMatch value)`
  Serialize a match expression to a string.

  ### Methods inherited from class com.io7m.cardant.parsers.CAExpressions

  `createParseError, createParseError, parse, serialize`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CATypeMatchExpressions

    public CATypeMatchExpressions(CAStrings inStrings)
    Expression parsers for type match expressions.
    Parameters:
      `inStrings` - The string resources

- ## Method Details

  - ### syntax

    protected Map<CAStringConstantType,CAStringConstantType> syntax()
    Specified by:
      `syntax` in class `CAExpressions`

  - ### typeMatch

    public CATypeMatch typeMatch(String text) throws CAException
    Parse a match expression for types.
    Parameters:
      `text` - The input text
    Returns:
      A match expression
    Throws:
      `CAException` - On errors

  - ### typeMatch

    public CATypeMatch typeMatch(com.io7m.jsx.SExpressionType e) throws CAException
    Parse a match expression for types.
    Parameters:
      `e` - The input expression
    Returns:
      A match expression
    Throws:
      `CAException` - On errors

  - ### typeMatchSerializeToString

    public String typeMatchSerializeToString(CATypeMatch value) throws CAException
    Serialize a match expression to a string.
    Parameters:
      `value` - The expression
    Returns:
      The serialized text
    Throws:
      `CAException` - On errors

  - ### typeMatchSerialize

    public com.io7m.jsx.SExpressionType typeMatchSerialize(CAComparisonSetType<com.io7m.lanark.core.RDottedName> expression)
    Serialize a match expression.
    Parameters:
      `expression` - The expression
    Returns:
      The serialized expression